#!/usr/bin/env python

""" 
sorter-1.py

Aufbau der Datei names.tsv
nconst
primaryName
birthYear
deathYear
imaryProfession
knownForTitles 
"""

def get_data(filename, maxlines=False):
  "lies Datei filename, optionaler Parameter maxlines: # Zeilen"
  liste = []
  namefile = open(filename,"r")
  namefile.readline() #  erste Zeile ueberspringen
  linecount = 0
  for f in namefile:
    eintrag = f[:-1].split("\t")
    liste.append(eintrag)
    linecount += 1
    if (maxlines != False) and linecount >= maxlines:
      break
  namefile.close()
  return liste

def ausgabe(eintrag):
  "erzeuge formatierte Ausgabe von Name, Geburts- und Todesjahr"
  print(f"{eintrag[1]:30} {eintrag[2]:4}-{eintrag[3]:4}")

liste = get_data("names.tsv", 10)
print ("Erste 10 Eintraege")
for i in range(10):
  ausgabe(liste[i])
